%define name fonts-ttf-thai
%define version 0.1
%define release 1mdk

Summary: Free Thai TrueType fonts
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: Distributable
#URL: 
Group: System/Fonts/True type
Source0: fonts-ttf-thai-norasi.tar.bz2
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-root
# to be sure we have a font server
Requires: /etc/X11/fs/config
# and be sure there is TTF support
Requires: freetype
# same package by a different name
Obsoletes: thai-ttf

%description
This Package provides Free Thai TrueType fonts

%prep
%setup -q -c
%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/fonts/ttf/thai
/usr/sbin/ttmkfdir > fonts.scale
/usr/sbin/ttmkfdir > fonts.dir
cp *.ttf $RPM_BUILD_ROOT%{_datadir}/fonts/ttf/thai/
ln -s /etc/X11/encodings.dir \
	$RPM_BUILD_ROOT%{_datadir}/fonts/ttf/thai/encodings.dir

%post
if [ -x /usr/sbin/chkfontpath ]; then
   /usr/sbin/chkfontpath -q -a %{_datadir}/fonts/ttf/thai
else
   echo "you don't have a chkfontpath utility; you will need to manually"
   echo "install the fonts into your TTF enabled font server"
fi

%postun
# 0 means a real uninstall
if [ "$1" = "0" ]; then
   [ -x /usr/sbin/chkfontpath ] && \
   /usr/sbin/chkfontpath -q -r %{_datadir}/fonts/ttf/thai
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,root,0755)
%doc README
%{_datadir}/fonts/ttf/thai

%changelog
* Wed Mar 14 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 0.1-1mdk
- Mandrake release

